circular_buffer Struct Reference

`#include <hackrf_sink_c.h>`

## Public Attributes

void * | buffer
void * | buffer_end
size_t | capacity
size_t | count
size_t | sz
void * | head
void * | tail

## Member Data Documentation

## buffer

void* circular_buffer::buffer

## buffer_end

void* circular_buffer::buffer_end

## capacity

size_t circular_buffer::capacity

## count

size_t circular_buffer::count

## head

void* circular_buffer::head

## sz

size_t circular_buffer::sz

## tail

void* circular_buffer::tail

The documentation for this struct was generated from the following file:

- hackrf_sink_c.h